| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# PSVIAttribute Class Reference

Inheritance diagram for PSVIAttribute:

[legend]
Collaboration diagram for PSVIAttribute:

[legend]
List of all members.

## Public Methods

Constructors
| PSVIAttribute (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~PSVIAttribute ()
PSVIAttribute methods
XSAttributeDeclaration * | getAttributeDeclaration ()
| An item isomorphic to the attribute declaration used to validate this attribute. More...
XSTypeDefinition * | getTypeDefinition ()
| An item isomorphic to the type definition used to validate this element. More...
XSSimpleTypeDefinition * | getMemberTypeDefinition ()
| If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value. More...
void | reset (const XMLCh *const valContext, PSVIItem::VALIDITY_STATE state, PSVIItem::ASSESSMENT_TYPE assessmentType, XSSimpleTypeDefinition *validatingType, XSSimpleTypeDefinition *memberType, const XMLCh *const defaultValue, const bool isSpecified, XSAttributeDeclaration *attrDecl, DatatypeValidator *dv)
| reset this object. More...
void | setValue (const XMLCh *const normalizedValue)
| set the schema normalized value (and implicitly the canonical value) of this object; intended to be used by the implementation. More...
void | updateValidity (VALIDITY_STATE newValue)
| set VALIDITY_STATE to specified value; intended to be called by implementation. More...

## Constructor & Destructor Documentation

PSVIAttribute::PSVIAttribute | ( | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager | ) |

The default constructor.

Parameters:

  manager | The configurable memory manager

PSVIAttribute::~PSVIAttribute | ( |  | ) |

## Member Function Documentation

XSAttributeDeclaration * PSVIAttribute::getAttributeDeclaration | ( |  | ) |

An item isomorphic to the attribute declaration used to validate this attribute.

Returns:
  an attribute declaration

XSSimpleTypeDefinition * PSVIAttribute::getMemberTypeDefinition | ( |  | ) | `[virtual]`

If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.

Returns:
  a simple type declaration

Implements PSVIItem.

XSTypeDefinition * PSVIAttribute::getTypeDefinition | ( |  | ) | `[virtual]`

An item isomorphic to the type definition used to validate this element.

Returns:
  a type declaration

Implements PSVIItem.

void PSVIAttribute::reset | ( | const XMLCh *const | valContext,
|  | PSVIItem::VALIDITY_STATE | state,
|  | PSVIItem::ASSESSMENT_TYPE | assessmentType,
|  | XSSimpleTypeDefinition * | validatingType,
|  | XSSimpleTypeDefinition * | memberType,
|  | const XMLCh *const | defaultValue,
|  | const bool | isSpecified,
|  | XSAttributeDeclaration * | attrDecl,
|  | DatatypeValidator * | dv
| ) |

| reset this object. Intended to be called by the implementation.

void PSVIAttribute::setValue | ( | const XMLCh *const | normalizedValue | ) |

| set the schema normalized value (and implicitly the canonical value) of this object; intended to be used by the implementation.

void PSVIAttribute::updateValidity | ( | VALIDITY_STATE | newValue | ) |

| set VALIDITY_STATE to specified value; intended to be called by implementation.

The documentation for this class was generated from the following file:

- PSVIAttribute.hpp

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.